#!/bin/sh

set -e

# Enable RESTAPI
mysql -h127.0.0.1 -P6032 -uradmin -pradmin -e "SET admin-web_enabled='true'" 2> /dev/null
mysql -h127.0.0.1 -P6032 -uradmin -pradmin -e "SET admin-web_port=6080" 2> /dev/null
mysql -h127.0.0.1 -P6032 -uradmin -pradmin -e "LOAD ADMIN VARIABLES TO RUNTIME" 2> /dev/null
mysql -h127.0.0.1 -P6032 -uradmin -pradmin -e "SAVE ADMIN VARIABLES TO DISK" 2> /dev/null

epts=(
	"https://127.0.0.1:6080"
	"https://127.0.0.1:6080/stats?metric=system"
	"https://127.0.0.1:6080/stats?metric=mysql"
	"https://127.0.0.1:6080/stats?metric=cache"
)

echo "Checking epts without intervals..."

for ept in "${epts[@]}"; do
	echo "Checking endpoint   request:'$ept'"
	http_code=$(curl --insecure --digest -u 'stats:stats' -o /dev/null -s -w "%{http_code}\n" $ept)

	if [[ $http_code != "200" ]]; then
		echo "Failed request   request:'$ept', http_code:'$http_code'"
		exit 1
	fi
done

echo "Checking endpoints with intervals..."

intv_epts=(
	"https://127.0.0.1:6080/stats?metric=system"
	"https://127.0.0.1:6080/stats?metric=mysql"
	"https://127.0.0.1:6080/stats?metric=cache"
)

intvs=(
	"&interval=1800"
	"&interval=3600"
	"&interval=7200"
)

for ept in "${intv_epts[@]}"; do
	for intv in "${intvs[@]}"; do
		i_ept="$ept$intv"

		echo "Checking endpoint   request:'$i_ept'"
		http_code=$(curl --insecure --digest -u 'stats:stats' -o /dev/null -s -w "%{http_code}\n" $i_ept)

		if [[ $http_code != "200" ]]; then
			echo "Failed request   request:'$i_ept', http_code:'$http_code'"
			exit 1
		fi
	done
done
